From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/async_sinatra/
Date: Mon, 18 Jan 2016 06:57:03 +0000 (UTC) [thread overview]
Message-ID: <1453098868.048e70fe06ce939dc7fe7193be3323de73acf1bc.graaff@gentoo> (raw)
commit: 048e70fe06ce939dc7fe7193be3323de73acf1bc
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 18 06:34:28 2016 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Jan 18 06:34:28 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=048e70fe
dev-ruby/async_sinatra: add 1.2.1
Package-Manager: portage-2.2.26
dev-ruby/async_sinatra/Manifest | 1 +
dev-ruby/async_sinatra/async_sinatra-1.2.1.ebuild | 44 +++++++++++++++++++++++
2 files changed, 45 insertions(+)
diff --git a/dev-ruby/async_sinatra/Manifest b/dev-ruby/async_sinatra/Manifest
index 1893c8c..4cd8c9b 100644
--- a/dev-ruby/async_sinatra/Manifest
+++ b/dev-ruby/async_sinatra/Manifest
@@ -1 +1,2 @@
DIST async_sinatra-1.2.0-git.tgz 8194 SHA256 b62f1f7944fe2816fe418c9acf64ca73c2708b6ebd3bfa6e06dc693703faaa0a SHA512 abddfd78e6e6d1dbee8e463a10f3e233045f3321a828267e666399853fc6e1ab7661b8338193f1437cd9ef891a15323667b8f1e3dc89f2acc6ccc34b2aa16a6e WHIRLPOOL 109ececfd95de28e27a5c8be0b010690d1054db993cb764a2d5ac43edae9a5ccd031b75638523f568496bcdf7b0c67d23cfa1e209820bad1831686a5391ebaec
+DIST async_sinatra-1.2.1-git.tgz 8314 SHA256 431d5b229d2e795707184caaf9e9bf0d4e1cb3402b9bfa9d7a6ee624f6ca8712 SHA512 f1c7dc5aeeae366836bc2db6ae1c34967fa4a8d89d2f0fdcbcfeb7737e7b39615990c67ba9d55428cc0873329b5b54e9a1df727b09c5d79b03210b4e209b56ba WHIRLPOOL d13fa0d3e19a3b4a22d8b8321248a635e8ca17ed78f1ec39f38bf2a3130e4d37fe2a929a28df9032ea5b9b8c8329b80fa43d1baf6284ff3a1285b08dc810e243
diff --git a/dev-ruby/async_sinatra/async_sinatra-1.2.1.ebuild b/dev-ruby/async_sinatra/async_sinatra-1.2.1.ebuild
new file mode 100644
index 0000000..0ddbeb8
--- /dev/null
+++ b/dev-ruby/async_sinatra/async_sinatra-1.2.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.rdoc README.rdoc"
+RUBY_FAKEGEM_TASK_DOC="docs"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Asynchronous response API for Sinatra and Thin"
+HOMEPAGE="https://github.com/raggi/async_sinatra"
+SRC_URI="https://github.com/raggi/async_sinatra/archive/v${PV}.tar.gz -> ${P}-git.tgz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+ruby_add_bdepend "test? (
+ >=dev-ruby/hoe-3.13
+ >=dev-ruby/minitest-5.6:5
+ >=dev-ruby/eventmachine-0.12.11
+ dev-ruby/rack-test
+ )"
+ruby_add_bdepend "doc? ( >=dev-ruby/hoe-2.9.1 )"
+
+ruby_add_rdepend ">=dev-ruby/sinatra-1.3.2
+ >=dev-ruby/rack-1.4.1:*"
+
+all_ruby_prepare() {
+ # Remove development dependencies that we don't have from the gemspec
+ sed -i -e '/\(hoe\|rdoc\)/d' async_sinatra.gemspec || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ insinto /usr/share/doc/${PF}/
+ doins -r examples || die "Failed to install examples"
+}
next reply other threads:[~2016-01-18 6:57 UTC|newest]
Thread overview: 11+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-01-18 6:57 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-10-17 8:33 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/async_sinatra/ Hans de Graaff
2021-10-09 8:44 Hans de Graaff
2021-10-09 7:27 Hans de Graaff
2019-03-30 6:46 Hans de Graaff
2018-06-27 5:23 Hans de Graaff
2018-03-21 6:41 Hans de Graaff
2017-07-16 6:49 Hans de Graaff
2016-12-18 7:45 Hans de Graaff
2016-03-08 21:48 Manuel Rüger
2015-08-26 5:59 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1453098868.048e70fe06ce939dc7fe7193be3323de73acf1bc.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox